> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/platforms-add.md).

# storage platforms add

Add a Platform

## Synopsis

```shell
omics workbench storage platforms add PLATFORM_ID
  --name NAME
  --storage-id STORAGE_ID
  --platform PLATFORM
  --path PATH
```

## Description

Annotate a bucket with a sequencing platform, adding semantic meaning to the files that exist within it.

## Examples

Add a new platform to an existing storage account with platform data located at specified path.

```shell
omics workbench storage platforms add my-platform
  --name "My AWS Platform"
  --storage-id my-aws-account
  --platform PACBIO
  --path s3://my-platform-data
```

## Positional Arguments

### `PLATFORM_ID`

The user-defined ID of the platform to add.

## Flags

### `--name`=`NAME`

A human readable name for the platform.

### `--storage-id`=`STORAGE_ID`

The ID of the storage account associated with the platform.

### `--platform`=`PLATFORM`

The sequencing platform associated with the platform. Only `PACBIO` is supported at this time.

### `--path`=`PATH`

The path in the storage account where platform data is located.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/platforms-add.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
